GFF3Record.Impl (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.gff3.GFF3Record.Impl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff3
Class GFF3Record.Impl

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.program.gff3.GFF3Record.Impl

All Implemented Interfaces:
  Annotatable, GFF3Record, Changeable

Enclosing interface:
  GFF3Record

    public static final class GFF3Record.Impl

extends AbstractChangeable
implements GFF3Record

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.program.gff3.GFF3Record
`GFF3Record.Impl`

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`GFF3Record.Impl()`
`GFF3Record.Impl(GFF3Record rec)`

Method Summary
`Annotation` | `getAnnotation()` Should return the associated annotation object.
`int` | `getEnd()`
`int` | `getPhase()`
`double` | `getScore()`
`String` | `getSequenceID()`
`Term` | `getSource()`
`int` | `getStart()`
`StrandedFeature.Strand` | `getStrand()`
`Term` | `getType()`
`void` | `setEnd(int end)`
`void` | `setPhase(int phase)`
`void` | `setScore(double score)`
`void` | `setSequenceID(String sequenceID)`
`void` | `setSource(Term source)`
`void` | `setStart(int start)`
`void` | `setStrand(StrandedFeature.Strand strand)`
`void` | `setType(Term type)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### GFF3Record.Impl

    public GFF3Record.Impl()

### GFF3Record.Impl

    public GFF3Record.Impl(GFF3Record rec)

Method Detail

### getSequenceID

    public String getSequenceID()

  Specified by:
    `getSequenceID` in interface `GFF3Record`

### setSequenceID

    public void setSequenceID(String sequenceID)

### getSource

    public Term getSource()

  Specified by:
    `getSource` in interface `GFF3Record`

### setSource

    public void setSource(Term source)

### getType

    public Term getType()

  Specified by:
    `getType` in interface `GFF3Record`

### setType

    public void setType(Term type)

### getStart

    public int getStart()

  Specified by:
    `getStart` in interface `GFF3Record`

### setStart

    public void setStart(int start)

### getEnd

    public int getEnd()

  Specified by:
    `getEnd` in interface `GFF3Record`

### setEnd

    public void setEnd(int end)

### getScore

    public double getScore()

  Specified by:
    `getScore` in interface `GFF3Record`

### setScore

    public void setScore(double score)

### getStrand

    public StrandedFeature.Strand getStrand()

  Specified by:
    `getStrand` in interface `GFF3Record`

### setStrand

    public void setStrand(StrandedFeature.Strand strand)

### getPhase

    public int getPhase()

  Specified by:
    `getPhase` in interface `GFF3Record`

### setPhase

    public void setPhase(int phase)

### getAnnotation

    public Annotation getAnnotation()

  Description copied from interface: `Annotatable`
  Should return the associated annotation object.

  Specified by:
    `getAnnotation` in interface `Annotatable`
  Returns:
    an Annotation object, never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD